package com.ruoyi.project.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.project.domain.ProjectStaffRecord;

import java.util.Date;

public class ProjectStaffRecordOut extends ProjectStaffRecord {
    @Excel(name = "编号")
    private Long id;
    @Excel(name = "员工工号")
    private String jobNumber;
    @Excel(name = "员工名称")
    private String name;
    @Excel(name = "部门编号")
    private Long deptId;
    @Excel(name = "部门")
    private String deptName;
    @Excel(name = "打卡时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @Excel(name = "工时")
    private Double duration;
    @Excel(name = "打卡月份", dateFormat = "MM")
    @JsonFormat(pattern = "MM")
    private Date createMonth;
    @Excel(name = "项目编号")
    private Long pid;
    @Excel(name = "项目名称")
    private String projectName;
    @Excel(name = "创断任务")
    private Integer projectStatus;
    @Excel(name = "研发内容")
    private String content;

    private Long examineId;
    @Excel(name = "审核人员")
    private String examineName;
    @Excel(name = "审核时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date examineTime;
    private String annexUrl;
    @Excel(name = "状态", readConverterExp = "0=未发起,1=待审核,2=已审核,3=驳回")
    private Integer processStatus;
    private String adminName;

    private Long aid;


    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public String getJobNumber() {
        return jobNumber;
    }

    public void setJobNumber(String jobNumber) {
        this.jobNumber = jobNumber;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Double getDuration() {
        return duration;
    }

    @Override
    public void setDuration(Double duration) {
        this.duration = duration;
    }

    public Date getCreateMonth() {
        return createMonth;
    }

    public void setCreateMonth(Date createMonth) {
        this.createMonth = createMonth;
    }


    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public Integer getProjectStatus() {
        return projectStatus;
    }

    @Override
    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    @Override
    public String getContent() {
        return content;
    }

    @Override
    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public Long getExamineId() {
        return examineId;
    }

    @Override
    public void setExamineId(Long examineId) {
        this.examineId = examineId;
    }

    @Override
    public String getExamineName() {
        return examineName;
    }

    public void setExamineName(String examineName) {
        this.examineName = examineName;
    }

    @Override
    public Date getExamineTime() {
        return examineTime;
    }

    public void setExamineTime(Date examineTime) {
        this.examineTime = examineTime;
    }

    @Override
    public String getAnnexUrl() {
        return annexUrl;
    }

    @Override
    public void setAnnexUrl(String annexUrl) {
        this.annexUrl = annexUrl;
    }

    @Override
    public Integer getProcessStatus() {
        return processStatus;
    }

    @Override
    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    @Override
    public Long getPid() {
        return pid;
    }

    @Override
    public void setPid(Long pid) {
        this.pid = pid;
    }

    @Override
    public Long getAid() {
        return aid;
    }

    @Override
    public void setAid(Long aid) {
        this.aid = aid;
    }
}
